aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-templayer/APKBUILD
diff options
context:
space:
mode:
authorMatt Smith <mcs@darkregion.net>2010-12-16 10:32:06 -0600
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-16 19:58:54 +0000
commitb51ad0bb6585a76b1b726a88369ae0788aa28ce9 (patch)
tree171929a44ceb4d6412bb4e726297b36ed4bf265e /testing/py-templayer/APKBUILD
parentce99542a6396032c4239fcab963263f54d6dfb1a (diff)
downloadaports-b51ad0bb6585a76b1b726a88369ae0788aa28ce9.tar.gz
aports-b51ad0bb6585a76b1b726a88369ae0788aa28ce9.tar.bz2
aports-b51ad0bb6585a76b1b726a88369ae0788aa28ce9.tar.xz
testing/py-{templayer,urwid}: Improved APKBUILD
Diffstat (limited to 'testing/py-templayer/APKBUILD')
-rw-r--r--testing/py-templayer/APKBUILD34
1 files changed, 18 insertions, 16 deletions
diff --git a/testing/py-templayer/APKBUILD b/testing/py-templayer/APKBUILD
index 776fdfbc2b..eeefd4bb53 100644
--- a/testing/py-templayer/APKBUILD
+++ b/testing/py-templayer/APKBUILD
@@ -1,41 +1,43 @@
# Contributor: Matt Smith <mcs@darkregion.net>
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=py-templayer
-_name=templayer
+_pkgname=templayer
pkgver=1.5.1
-pkgrel=0
+pkgrel=1
pkgdesc="Templayer is a layered template library for Python and Django"
url="http://excess.org/templayer/"
-arch="x86 x86_64"
+arch="noarch"
license="LGPL"
depends="python"
-makedepends="python-dev"
+makedepends="python-dev py-setuptools"
install=
subpackages="$pkgname-doc"
-source="http://excess.org/$pkgname/$_name-$pkgver.tar.gz"
+source="http://excess.org/$_pkgname/$_pkgname-$pkgver.tar.gz"
-_builddir="$srcdir"/$_name-$pkgver
+_builddir="$srcdir"/$_pkgname-$pkgver
prepare() {
- cd "$_builddir"
- # apply patches here
+ cd "$_builddir"
+ # apply patches here
}
build() {
- return 0
+ cd "$_builddir"
+ python setup.py build || return 1
}
package() {
- cd "$_builddir"
- python setup.py install --root "$pkgdir"
+ cd "$_builddir"
+ python setup.py install --root "$pkgdir"
}
doc() {
- mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
- cd "$_builddir"
- install -Dm644 docs/reference.html "$subpkgdir"/usr/share/doc/$pkgname/reference.html
- install -Dm644 docs/tutorial.html "$subpkgdir"/usr/share/doc/$pkgname/tutorial.html
- install -Dm644 docs/tutorial_examples.tar.gz "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples.tar.gz
+ cd "$_builddir"
+
+ mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
+ for doc in reference.html tutorial.html tutorial_examples.tar.gz; do
+ install -Dm644 ./docs/$doc "$subpkgdir"/usr/share/doc/$pkgname/$doc
+ done
}
md5sums="9d1a3aa0cece34a2492792278aad406d templayer-1.5.1.tar.gz"